Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

List of all members
sauce::AlreadyInScopeException Class Reference

Thrown when re-entering a scope that is already open. More...

`#include <sauce/exceptions.h>`

Inheritance diagram for sauce::AlreadyInScopeException:

## Additional Inherited Members
Public Member Functions inherited from sauce::Exception
| Exception (std::string message)

## Detailed Description

Thrown when re-entering a scope that is already open.

The documentation for this class was generated from the following file:

- sauce/exceptions.h